// 系统专项设置api文件
import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'
// 订单列表
export function orderQueryPage (data) {
  return request({
    url: api + '/order/queryPage',
    method: 'get',
    params: data
  })
}

// 订单列表
export function orderQueryPage1 (data) {
  return request({
    url: api + '/order/queryPage1',
    method: 'get',
    params: data
  })
}

// 订单列表
export function orderQueryPage2 (data) {
  return request({
    url: api + '/order/queryPage2',
    method: 'get',
    params: data
  })
}

// 退费管理
export function studentRefundsQueryPage (data) {
  return request({
    url: api + '/studentRefunds/queryPage',
    method: 'get',
    params: data
  })
}

// 退费
export function applyRefundAudit (data) {
  return request({
    url: api + '/vipGroupManage/applyRefundAudit',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 提现 
export function studentWithdraw (data) {
  return request({
    url: api + '/studentWithdraw/queryPage',
    method: 'get',
    params: data
  })
}

// 确认提现 
export function studentWithdrawConfirm (data) {
  return request({
    url: api + '/studentWithdraw/confirm',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 发放清单
export function verifyMusicalList (data) {
  return request({
    url: api + '/order/verifyMusicalList',
    method: 'GET',
    params: data
  })
}

// 充值列表分页查询
export function studentRechargeList (data) {
  return request({
    url: api + '/studentRecharge/queryPage',
    method: 'GET',
    params: data
  })
}